# Poco::Data::MySQL

# class SessionHandle

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/SessionHandle.h

## Description

MySQL session handle

## Member Summary

Member Functions: close, connect, operator MYSQL *, options, query

## Constructors

### SessionHandle

explicit SessionHandle(
MYSQL * mysql
);

## Destructor

### ~SessionHandle

~SessionHandle();

## Member Functions

### close

void close();

### connect

void connect(
const char * host,
const char * user,
const char * password,
const char * db,
unsigned int port
);

### operator MYSQL *

operator MYSQL * ();

### options

void options(
mysql_option opt
);

### options

void options(
mysql_option opt,
bool b
);

### query

void query(
const char * str
);